#include "BoostLog.h"
#include "Configuration.h"
#include "Widget.h"
#include <QApplication>
#include <QFont>

int main(int argc, char *argv[]) {
    boost::log::initialize("logs/app");

    QApplication a(argc, argv);
    a.setApplicationName(APPLICATION_NAME);
    a.setApplicationVersion(QString("v%1_%2 build: %3 %4").arg(APP_VERSION, GIT_COMMIT_ID, __DATE__, __TIME__));

    QFont font;
    font.setPointSize(16);
    a.setFont(font);
    Widget w;
    w.setWindowTitle(QString("%1 %2").arg(a.applicationName()).arg(a.applicationVersion()));
    w.setMinimumWidth(520);
    w.setMinimumHeight(100);
    w.show();

    return a.exec();
}
